Bug 143105 - Deleting a hyperlink of an image does not remove hyperlink in exported PDF
Summary: Deleting a hyperlink of an image does not remove hyperlink in exported PDF
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2021-06-28 13:40 UTC by Stephan
Modified: 2021-07-14 12:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan 2021-06-28 13:40:19 UTC
When adding a hyperlink to the properties of an image in Writer, this hyperlink, once set, cannot be removed properly.

It can be set from "URL" to "" (empty field), but the exported PDF always shows a kind of URL symbol, when moving the mouse over it.
Comment 1 [REDACTED] 2021-06-28 14:22:13 UTC
Repro

Version: 7.1.4.2 / LibreOffice Community
Build ID: a529a4fab45b75fefc5b6226684193eb000654f6
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Commit Notification 2021-06-28 21:32:08 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99ef46fdb2a975e074c66a02328b86edfc05307f

tdf#143105 Don't export empty URLs to PDF

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-06-29 08:32:52 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/644047f46c997ca2cacb00405a4110664eeab5b7

tdf#143105 Don't export empty URLs to PDF

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2021-07-14 12:02:45 UTC
It's ok now, no hyperlink in
Version: 7.2.0.1.0+ (x64) / LibreOffice Community
Build ID: ffeeb78118a887419c5f33bb5311f0e2ddae463c
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded